WP1PictureGroup Class Reference documentation

WP1PictureGroup Class Reference

`#include <WP1PictureGroup.h>`

Inheritance diagram for WP1PictureGroup:

## Public Member Functions
| WP1PictureGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
| ~WP1PictureGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP1Listener *listener) override
Public Member Functions inherited from WP1VariableLengthGroup
| WP1VariableLengthGroup (unsigned char group)
| ~WP1VariableLengthGroup () override
Public Member Functions inherited from WP1Part
virtual | ~WP1Part ()

## Private Member Functions
| WP1PictureGroup (const WP1PictureGroup &)
WP1PictureGroup & | operator= (const WP1PictureGroup &)

## Private Attributes
librevenge::RVNGBinaryData | m_binaryData
unsigned short | m_width
unsigned short | m_height

## Additional Inherited Members
Static Public Member Functions inherited from WP1VariableLengthGroup
static WP1VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP1Part
static WP1Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)
Protected Member Functions inherited from WP1VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getGroup () const
unsigned | getSize () const

## Constructor & Destructor Documentation

## ◆ WP1PictureGroup() [1/2]

WP1PictureGroup::WP1PictureGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group )

Referenced by operator=(), and WP1PictureGroup().

## ◆ ~WP1PictureGroup()

WP1PictureGroup::~WP1PictureGroup | ( |  | ) |
| override

## ◆ WP1PictureGroup() [2/2]

WP1PictureGroup::WP1PictureGroup | ( | const WP1PictureGroup & |  | ) |
| private

## Member Function Documentation

## ◆ _readContents()

void WP1PictureGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )
| overridevirtual

Implements WP1VariableLengthGroup.

## ◆ operator=()

WP1PictureGroup & WP1PictureGroup::operator= | ( | const WP1PictureGroup & |  | ) |
| private

## ◆ parse()

void WP1PictureGroup::parse | ( | WP1Listener * | listener | ) |
| overridevirtual

Implements WP1Part.

## Member Data Documentation

## ◆ m_binaryData

librevenge::RVNGBinaryData WP1PictureGroup::m_binaryData
| private

Referenced by _readContents(), parse(), and WP1PictureGroup().

## ◆ m_height

unsigned short WP1PictureGroup::m_height
| private

Referenced by _readContents(), parse(), and WP1PictureGroup().

## ◆ m_width

unsigned short WP1PictureGroup::m_width
| private

Referenced by _readContents(), parse(), and WP1PictureGroup().

The documentation for this class was generated from the following files:

- WP1PictureGroup.h
- WP1PictureGroup.cpp